package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.DictRegion;
import com.nantian.cloud.jljc.vo.TreeVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 行政区划编码字典
 *
 * @author
 * @date 2020-08-13
 */
public interface DictRegionService extends IService<DictRegion> {
    DictRegion getNameByCode(DictRegion dictRegion);

    List<TreeVo> getDictRegionTreee();

    //获取州市列表
    List<DictRegion> getCityRegion();
    List<DictRegion> getDictRegion();

    //获取行政区划树形结构（数据权限）
    List<TreeVo> getDictRegionTreeeScope(String regionCode,String version);

    //获取行政区划树形结构（数据权限，地区名称_地区编码）
    List<TreeVo> getDictRegionTreeDataScope(String regionCode, String version);
    //根据地区编码，获取多级编码
    List<String> getAreaTmp(@Param("area") String area);
}

